package org.rcisoft.business.bgrade.entity;

import lombok.*;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.IdEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2018-4-17 15:09:18.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "b_grade")
public class BGrade  extends IdEntity<BGrade> {


     /*年级编号*/
     @NotBlank
     @Length(min = 1,max = 50,message = "长度最小为1,最大为50")
     private String code;

     /*年级名称*/
     @NotBlank
     @Length(min = 1,max = 150,message = "长度最小为1,最大为150")
     private String name;


}

