package org.rcisoft.business.brclassstudent.service;


import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.rcisoft.business.brclassstudent.entity.BRClassStudent;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.io.IOException;
import java.util.List;

/**
 * Created by CodeGenerator on 2017/07/12.
 */
public interface BRClassStudentService{
    /**
    * 根据主键唯一查找
    * @param businessId
    * @return
    */
    BRClassStudent selectOne(String businessId);

    /**
    * 根据条件分页查找
    * @param pageUtil
    * @param model
    * @return
    */
    List<BRClassStudent> queryBRClassStudentsByPagination(PageUtil pageUtil, BRClassStudent model);

    /**
    * 根据条件查找全部
    * @param model
    * @return
    */
    List<BRClassStudent> queryBRClassStudents(BRClassStudent model);

    /**
    * 插入
    * @param model
    * @return
    */
    PersistModel persist(BRClassStudent model);

    /**
     * 课程信息excel导入
     * @param hwb
     * @return
     */
    PersistModel importExcel(HSSFWorkbook hwb) throws IOException;

    /**
     * 物理删除
     * @return
     */
    PersistModel removeBRClassStudents(String stuCode, String classCode);
}
