package org.rcisoft.business.bterm.service;


import org.rcisoft.business.bterm.entity.BTerm;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.model.SelectModel;

import java.util.List;

/**
 * Created by CodeGenerator on 2017/07/12.
 */
public interface BTermService{
    /**
    * 根据主键唯一查找
    * @param businessId
    * @return
    */
    BTerm selectOne(String businessId);

    /**
    * 根据条件分页查找
    * @param pageUtil
    * @param model
    * @return
    */
    List<BTerm> queryBTermsByPagination(PageUtil pageUtil, BTerm model);

    /**
    * 根据条件查找全部
    * @param model
    * @return
    */
    List<BTerm> queryBTerms(BTerm model);


    /**
    * 插入
    * @param model
    * @return
    */
    PersistModel persist(BTerm model,String token);

    /**
     * 逻辑删除
     * @param id
     * @return
     */
    PersistModel removeBTerm(String id);
    /**
     * 修改is_start值
     * @param code
     * @return
     */
    PersistModel changeIS(String code, String token);

    List<SelectModel> queryBTermList();
}
