package org.rcisoft.business.tpaperchapter.dao;

import org.apache.ibatis.annotations.Param;
import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.tpaperchapter.entity.TPaperChapter;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

/**
* Created with yangzhaojun on 2018-1-15 19:49:07.
*/
@Repository
public interface TPaperChapterRepository extends BaseMapper<TPaperChapter> {

    /**
    * 分页查询 tPaperChapter
    *
    */
    @Select("<script>select * from t_paper_chapter where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if>' "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if>' "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<TPaperChapter> queryTPaperChapters(TPaperChapter tPaperChapter);

    void logicPaperProcedure(Map<String, Object> map);


    @Select("SELECT * from t_paper_chapter WHERE chap_id = #{chapterId} and sl_id = #{slId}")
    @ResultMap(value = "BaseResultMap" )
    List<TPaperChapter> queryTPaperChapterInfo(@Param("slId") String slId, @Param("chapterId") String chapterId);

    @Select("SELECT pdesc from t_paper_chapter WHERE chap_id = #{chapterId}")
    List<String> queryDescByChapId(String chapterId);
}

