package org.rcisoft.sys.role.entity;

import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.IdEntity;

/**
 * Created by gaowenfeng on 2017/8/9.
 */
@Data
public class SysRole extends IdEntity<SysRole> {
    private static final long serialVersionUID = 3877407102289435226L;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String roleName;
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @NotBlank
    private String code;
}
