/*
Navicat MySQL Data Transfer

Source Server         : 127.0.0.1_3306
Source Server Version : 50717
Source Host           : localhost:3306
Source Database       : edu_db

Target Server Type    : MYSQL
Target Server Version : 50717
File Encoding         : 65001

Date: 2018-04-17 15:27:17
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for b_edu_class
-- ----------------------------
DROP TABLE IF EXISTS `b_edu_class`;
CREATE TABLE `b_edu_class` (
  `business_id` varchar(64) NOT NULL,
  `create_date` datetime DEFAULT NULL,
  `update_date` datetime DEFAULT NULL,
  `create_by` varchar(45) DEFAULT NULL,
  `update_by` varchar(45) DEFAULT NULL,
  `del_flag` varchar(1) DEFAULT NULL,
  `flag` varchar(1) DEFAULT NULL,
  `remarks` varchar(64) DEFAULT NULL,
  `code` varchar(45) DEFAULT NULL,
  `class_name` varchar(200) DEFAULT NULL,
  `agency_id` varchar(64) DEFAULT NULL,
  `type` varchar(1) DEFAULT NULL COMMENT '0.行政班 1.业务班 2.其他',
  `classes_id` varchar(1000) DEFAULT NULL COMMENT 'b_class_id',
  `grade_id` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='教学班';

-- ----------------------------
-- Records of b_edu_class
-- ----------------------------
INSERT INTO `b_edu_class` VALUES ('', null, null, '', '', '', '', '', '', '', '', '', '', null);
INSERT INTO `b_edu_class` VALUES ('1', null, null, null, null, '0', '1', null, '001', '大软Java 1班', '1', '0', '1,2', null);
INSERT INTO `b_edu_class` VALUES ('100', null, null, '', '', '0', '1', '', '101', '教学班100', '100', '0', '4,5,6', null);
INSERT INTO `b_edu_class` VALUES ('101', null, null, '', '', '0', '1', '', '102', '教学班101', '101', '0', '4,5,6', null);
INSERT INTO `b_edu_class` VALUES ('102', null, null, '', '', '0', '1', '', '103', '教学班102', '102', '0', '4,5,6', null);
INSERT INTO `b_edu_class` VALUES ('103', null, null, '', '', '0', '1', '', '104', '教学班103', '103', '0', '4,5,6', null);
INSERT INTO `b_edu_class` VALUES ('104', null, null, '', '', '0', '1', '', '105', '教学班104', '104', '0', '4,5,6', null);
INSERT INTO `b_edu_class` VALUES ('105', null, null, '', '', '0', '1', '', '106', '教学班105', '105', '0', '4,5,6', null);
INSERT INTO `b_edu_class` VALUES ('106', null, null, '', '', '0', '1', '', '107', '教学班106', '106', '0', '4,5,6', null);
INSERT INTO `b_edu_class` VALUES ('107', null, null, '', '', '0', '1', '', '108', '教学班107', '107', '0', '7,8,9', null);
INSERT INTO `b_edu_class` VALUES ('108', null, null, '', '', '0', '1', '', '109', '教学班108', '108', '0', '7,8,9', null);
INSERT INTO `b_edu_class` VALUES ('109', null, null, '', '', '0', '1', '', '110', '教学班109', '109', '0', '7,8,9', null);
INSERT INTO `b_edu_class` VALUES ('110', null, null, '', '', '0', '1', '', '111', '教学班110', '110', '0', '7,8,9', null);
INSERT INTO `b_edu_class` VALUES ('111', null, null, '', '', '0', '1', '', '112', '教学班111', '111', '0', '7,8,9', null);
INSERT INTO `b_edu_class` VALUES ('112', null, null, '', '', '0', '1', '', '113', '教学班112', '112', '0', '7,8,9', null);
INSERT INTO `b_edu_class` VALUES ('113', null, null, '', '', '0', '1', '', '114', '教学班113', '113', '0', '7,8,9', null);
INSERT INTO `b_edu_class` VALUES ('114', null, null, '', '', '0', '1', '', '115', '教学班114', '114', '0', '7,8,9', null);
INSERT INTO `b_edu_class` VALUES ('115', null, null, '', '', '0', '1', '', '116', '教学班115', '115', '0', '7,8,9', null);
INSERT INTO `b_edu_class` VALUES ('2', null, null, null, null, '0', '1', null, '002', '大软Java 2班', '1', '0', '3,4', null);
INSERT INTO `b_edu_class` VALUES ('3', null, null, null, null, '0', '1', null, '003', '大软Java 3班', '1', '0', '5,6', null);
INSERT INTO `b_edu_class` VALUES ('4', null, null, null, null, '0', '1', null, '012', '腾讯Oracle 2班', '2', '0', '7,8', null);
INSERT INTO `b_edu_class` VALUES ('5', null, null, null, null, '0', '1', null, '100', '英语 1班', '3', '0', '11,12', null);
INSERT INTO `b_edu_class` VALUES ('9ff09747f16040898722ef604d779070', '2018-04-17 14:51:58', '2018-04-17 14:51:58', '333e421d32d9425ea99afce95b603902', '333e421d32d9425ea99afce95b603902', '0', '1', null, 'kbztest', 'kbzTEST', null, '0', null, null);
INSERT INTO `b_edu_class` VALUES ('a100', null, null, '', '', '0', '1', '', 'w101', '教学一班', '100', '0', 'b100,b101', null);
INSERT INTO `b_edu_class` VALUES ('a101', null, null, '', '', '0', '1', '', 'w102', '教学二班', '100', '0', 'b102', null);
INSERT INTO `b_edu_class` VALUES ('a102', null, null, '', '', '0', '1', '', 'w103', '教学三班', '100', '0', 'b103,b104', null);
INSERT INTO `b_edu_class` VALUES ('a103', null, null, '', '', '0', '1', '', 'w104', '教学四班', '100', '0', 'b105,b106', null);
INSERT INTO `b_edu_class` VALUES ('a104', null, null, '', '', '0', '1', '', 'w105', '教学五班', '100', '0', 'b107', null);
INSERT INTO `b_edu_class` VALUES ('a105', null, null, '', '', '0', '1', '', 'w106', '教学六班', '100', '0', 'b108,b109', null);
INSERT INTO `b_edu_class` VALUES ('a200', null, null, '', '', '0', '1', '', 'w201', '教学一班', '200', '0', 'b200,b201', null);
INSERT INTO `b_edu_class` VALUES ('a201', null, null, '', '', '0', '1', '', 'w202', '教学二班', '200', '0', 'b202', null);
INSERT INTO `b_edu_class` VALUES ('a202', null, null, '', '', '0', '1', '', 'w203', '教学三班', '200', '0', 'b203,b204', null);
INSERT INTO `b_edu_class` VALUES ('a203', null, null, '', '', '0', '1', '', 'w204', '教学四班', '200', '0', 'b205,b206', null);
INSERT INTO `b_edu_class` VALUES ('a204', null, null, '', '', '0', '1', '', 'w205', '教学五班', '200', '0', 'b207', null);
INSERT INTO `b_edu_class` VALUES ('a205', null, null, '', '', '0', '1', '', 'w206', '教学六班', '200', '0', 'b208,b209', null);
INSERT INTO `b_edu_class` VALUES ('a300', null, null, '', '', '0', '1', '', 'w301', '教学一班', '300', '0', 'b300,b301', null);
INSERT INTO `b_edu_class` VALUES ('a301', null, null, '', '', '0', '1', '', 'w302', '教学二班', '300', '0', 'b302', null);
INSERT INTO `b_edu_class` VALUES ('a302', null, null, '', '', '0', '1', '', 'w303', '教学三班', '300', '0', 'b303,b304', null);
INSERT INTO `b_edu_class` VALUES ('a303', null, null, '', '', '0', '1', '', 'w304', '教学四班', '300', '0', 'b305,b306', null);
INSERT INTO `b_edu_class` VALUES ('a304', null, null, '', '', '0', '1', '', 'w305', '教学五班', '300', '0', 'b307', null);
INSERT INTO `b_edu_class` VALUES ('a305', null, null, '', '', '0', '1', '', 'w306', '教学六班', '300', '0', 'b308,b309', null);
