package org.rcisoft.business.bcoursecode.dao;

import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.bcoursecode.entity.BCourseCode;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2018-4-17 11:12:17.
*/
@Repository
public interface BCourseCodeRepository extends BaseMapper<BCourseCode> {

    /**
    * 分页查询 bCourseCode
    *
    */
    @Select("<script>select * from b_course_code where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BCourseCode> queryBCourseCodes(BCourseCode bCourseCode);
}

