package org.rcisoft.business.beduclass.dao;

import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.beduclass.entity.BEduClass;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2018-4-17 14:33:36.
*/
@Repository
public interface BEduClassRepository extends BaseMapper<BEduClass> {

    /**
    * 分页查询 bEduClass
    *
    */
    @Select("<script>select * from b_edu_class where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BEduClass> queryBEduClasss(BEduClass bEduClass);
}

