package org.rcisoft.business.bopinion.service.impl;

import org.rcisoft.business.bopinion.dao.BOpinionRepository;
import org.rcisoft.business.bopinion.entity.BOpinion;
import org.rcisoft.business.bopinion.service.BOpinionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by Administrator on 2017/12/21.
 */
@Service
@Transactional(readOnly = true,propagation = Propagation.NOT_SUPPORTED)
public class BOpinionServiceImpl implements BOpinionService{

    @Autowired
    private BOpinionRepository bOpinionRepository;

    @Override
    public List<BOpinion> queryOpinionBySlId(String slId) {
        return bOpinionRepository.queryOpinionBySlId(slId);
    }
}
